POST/eventimpact/

Get Full Event Info

Get full event info

Implementation Notes

This API returns complete details of all events and their impact from the EVENTS database. Event Impact - Fetches the impact of a specific event on a given date on a scale of 0 to 100, based on multiple parameters of an event that have a corresponding impact within a specific geolocation.

In case the event you search for is not displayed in our database, please send a request to events@aggregateintelligence.in. We will try to make it available within the next 24 hours.

Search Criteria:

  • Any parameter (single or in combination).
  • If lat and lng are chosen, proximity is required.

Field Formats:

  • category

    • Type: string
    • Format: Can be a number, range, or a combination of both.
    • You can review the category codes in the reference method: /category/
  • subCategory

    • Type: string
    • Format: Can be a number, range, or a combination of both.
    • You can review the subcategory codes in the reference method: /subcategory/

Note: For a combination of both, refer to: /categorysubcategorygroup/

  • date
    Format: "2021-10-02"

    • Change the date if the search is related to the date.
  • proximity

    • Type: string
    • Format: Should be numeric and in miles.
  • estimatedAttendee - Attendee count range or value.
    Format:

    • Range value - 100-500
    • Min value - <500
    • Max value - >500
    • Exact value - 500
  • eventStatusCode:

    • 0: All Events
    • 1: Scheduled
    • 2: Rescheduled
    • 3: Postponed
    • 4: Holiday Events
    • 5: Cancelled

Example 1:


{ "eventId": 12, "eventName": "The Simon and Garfunkel Story", "category": "1-5", "subCategory": "7-10", "startDate": "2025-10-02", "estimatedAttendee": "100-500", "venue": "Wilson Center at Cape Fear Community College", "address": "703 N 3rd St", "city": "Barcelona", "state": "North Carolina", "zip": "28401", "country": "United States", "region": "North_America", "lat": "34.2435937", "lng": "-77.9472972", "proximity": 2, "horizon": 5, "impactEventType": "Very Low", "eventStatusCode": 5 }

Example 2:


{ "eventId": 12, "eventName": "The Simon and Garfunkel Story", "category": "2,4-5", "subCategory": "2,7,10-15", "startDate": "2026-04-02", "estimatedAttendee": "<1000", "venue": "Wilson Center at Cape Fear Community College", "address": "703 N 3rd St", "city": "Barcelona", "state": "North Carolina", "zip": "28401", "country": "United States", "region": "North_America", "lat": "34.2435937", "lng": "-7.9472972", "proximity": 1, "horizon": 5, "impactEventType": "High", "eventStatusCode": 3 }

POST/eventimpact/

Parameter Details

NameInTypeRequiredDescription
eventsImpactPerPagequeryintegerOptionalThe number of items to display in a page
pageNumberqueryintegerOptionalIndicates the current page number
bodybodyobjectRequirednone
» eventIdbodyintegerOptionalUnique identifier for the event.
» eventNamebodystringOptionalName of the event.
» categorybodystringOptionalEvent category (number, range, or combination).
» subCategorybodystringOptionalEvent subCategory (number, range, or combination).
» startDatebodystring(date)OptionalEvent start date.
» estimatedAttendeebodystringOptionalEstimated attendee count (range, min, max, exact).
» venuebodystringOptionalEvent venue name.
» addressbodystringOptionalEvent address.
» citybodystringOptionalEvent city.
» statebodystringOptionalEvent state.
» zipbodystringOptionalEvent zip code.
» countrybodystringOptionalEvent country.
» regionbodystringOptionalEvent region.
» latbodystringOptionalLatitude of the event location.
» lngbodystringOptionalLongitude of the event location.
» proximitybodyintegerOptionalProximity value (required if lat and lng are used).
» horizonbodyintegerOptionalImpact horizon period in days.
» impactEventTypebodystringOptionalType of impact event.
» eventStatusCodebodyintegerOptionalStatus of the event.

Responses

StatusMeaningDescriptionSchema
200OKOK
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST https://api.events.example.com/api/v1/eventimpact/ \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

200 Response
{
"eventId": 12,
"eventName": "The Simon and Garfunkel Story",
"category": "1-5",
"subCategory": "7-10",
"startDate": "2025-10-02",
"estimatedAttendee": "100-500",
"venue": "Wilson Center at Cape Fear Community College",
"address": "703 N 3rd St",
"city": "Barcelona",
"state": "North Carolina",
"zip": "28401",
"country": "United States",
"region": "North_America",
"lat": "34.2435937",
"lng": "-77.9472972",
"proximity": 2,
"horizon": 5,
"impactEventType": "Very Low",
"eventStatusCode": 5
}

Body parameter

{
  "eventId": 0,
  "eventName": "",
  "category": "0",
  "subCategory": "0",
  "startDate": "2019-08-24",
  "estimatedAttendee": "",
  "venue": "",
  "address": "",
  "city": "",
  "state": "",
  "zip": "",
  "country": "",
  "region": "",
  "lat": "",
  "lng": "",
  "proximity": 0,
  "horizon": 30,
  "impactEventType": "",
  "eventStatusCode": 1
}

Example responses

200 Response
{
  "pageInfo": {
    "totalRecords": 39652,
    "fetchedRecords": 1,
    "totalPages": 39652,
    "currentPage": 1,
    "pageSize": 1
  },
  "events": [
    {
      "id": 20439038,
      "eventId": 3456081,
      "venueId": 609634,
      "eventName": "Some Like it Hot",
      "category": "Entertainment events",
      "subCategory": "Theater",
      "description": "The meeting aims to provide educational topics, facilitate professional networking.",
      "startDate": "2025-04-10 00:00:00",
      "endDate": "2025-04-10 00:00:00",
      "estimatedAttendees": 574,
      "impactEventType": "Low",
      "venue": "William H. Mortensen Hall",
      "address": "166 Capitol Ave",
      "city": "Hartford",
      "state": "Connecticut",
      "zip": "06106",
      "country": "United States",
      "countryCode": "USA",
      "region": "North_America",
      "latitude": "41.7628413",
      "longitude": "-72.6806411",
      "impactScore": 25,
      "eventStatus": "Scheduled"
    }
  ]
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.